Name: dillo
Version: 0.7.3
Release: alt1

Summary: A small GTK+ web browser
Group: Networking/WWW
License: GPL

Url: http://www.dillo.org
# http://dillo.auriga.wearlab.de/download/
Source0: %name-%version.tar.bz2
Source1: %name-16.png
Source2: %name-32.png
Source3: %name-48.png
Source4: %name-0.7.2-pixmaps.h

# http://stuphead.asplinux.ru/dillo/
Patch0: %name-0.7.2-asp-charset.patch
Patch1: %name-0.7.3-asp-encodings2.patch.bz2
# ALT patches
Patch2: %name-0.7.2-alt-dillorc.patch
Patch3: %name-0.7.2-alt-sysconfdir.patch
Patch4: %name-0.7.2-alt-libpng3.patch
# http://packages.debian.org/unstable/web/dillo.html
Patch5: %name-0.6.6-deb-man1.patch
# ftp://ftp.pld.org.pl/pool/d/dillo/
Patch6: %name-0.7.2-pld-gzip_fallback.patch
# cvs -z3 -d:pserver:anonymous@auriga.wearlab.de:/sfhome/cvs/dillo 
# no current Patch9:

# Automatically added by buildreq on Wed Aug 27 2003
BuildRequires: XFree86-devel XFree86-libs glib-devel gtk+-devel libjpeg-devel libpng-devel zlib-devel

%description
Dillo is a small GTK+ based (GNOME is NOT required!) web browser.
Dillo aims to be a multi-platform browser alternative that's small, 
stable, developer-friendly, usable, fast, and extensible.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
#patch9
%patch6 -p1

%build
%define _optlevel s
%__cp -af %SOURCE4 src/pixmaps.h
%__aclocal
%__automake -a -f
%__autoconf
%configure --sysconfdir=%_sysconfdir/%name --enable-ipv6 --enable-cookies
%make_build

%install
%makeinstall
%__mkdir_p %buildroot{%_sysconfdir/%name,%_man1dir,%_menudir}
%makeinstall sysconfdir=%buildroot%_sysconfdir/%name install-data
%__cp -a debian/%name.1x %buildroot%_man1dir/%name.1
%__rm -f doc/Makefile*
%__install -pD -m644 %SOURCE1 %buildroot%_miconsdir/%name.png
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.png
%__install -pD -m644 %SOURCE3 %buildroot%_liconsdir/%name.png
%__cat <<EOF >%buildroot%_menudir/%name
?package(%name):  \
	command="%_bindir/%name" \
	needs="x11" \
	icon="%name.png" \
	section="Networking/WWW" \
	title="Dillo" \
	longtitle="A small GTK+ web browser"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_menudir/%name
%_iconsdir/%name.*
%_miconsdir/%name.*
%_liconsdir/%name.*
%_man1dir/%name.*
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README doc/
%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/%{name}rc
%config(noreplace) %_sysconfdir/%name/encodings

%changelog
* Wed Aug 27 2003 Alexey Tourbin <at@altlinux.ru> 0.7.3-alt1
- 0.7.3
- old toolbar icons kept, I don't like new ones
- new icons for menufile(5) from http://www.dillo.org/Icons/
- dillorc: changed default geometry 640x550 -> 720x600

* Tue Jul 08 2003 Alexey Tourbin <at@altlinux.ru> 0.7.2-alt2
- most of the CVS changes applied (0.7.3 to be)
- pld-gzip_fallback.patch updated
- optimization: -Os (the binary claims to be as small as 265Kb)

* Mon May 12 2003 Alexey Tourbin <at@altlinux.ru> 0.7.2-alt1
- 0.7.2
- patches updated; pld-gzip_fallback.patch disabled
- fixed libpng3 build

* Mon Feb 24 2003 Alexey Tourbin <at@altlinux.ru> 0.7.0-alt2
- menu entry added; large png icon added (PLD)
- double-free/endless loop in pld-gzip_fallback.patch fixed

* Mon Feb 20 2003 Alexey Tourbin <at@altlinux.ru> 0.7.0-alt1
- initial revision, various patches integrated
